Table of Contents

Class: selection_square | ../bkchem/helper_graphics.py
--- | ---
used to draw square around an object with hanldes in corners; provides user interaction for resizing, moving etc.
Base Classes |
--- | ---
selection_rect
Methods |
--- | ---
drag draw focus get_fix get_items redraw
| drag
    drag (
            self,
            x,
            y,
            fix=(),
            )
| draw
    draw ( self )
| focus
    focus ( self,  item=None )
| get_fix
    get_fix ( self )
returns the coords that should be fixed if we now start to drag the selected corner
| get_items
    get_items ( self )
| redraw
    redraw ( self )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1